# perl-Crypt-HSXKPasswd
Name:           hsxkpasswd
Version:        3.6
Release:        1%{?dist}
Summary:        Secure memorable password generator

# Main program is BSD, dictionaries are GPL except EN and ES which are BSD
License:        BSD and GPLv2+
URL:            https://www.bartbusschots.ie/s/publications/software/xkpasswd/
Source0:        http://www.cpan.org/authors/id/B/BA/BARTB/Crypt-HSXKPasswd-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(:VERSION) >= 5.16
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::Entropy::Algorithms)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Email::Valid)
BuildRequires:  perl(Encode)
BuildRequires:  perl(English)
BuildRequires:  perl(Fatal)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Share)
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(JSON)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Math::Random::Secure)
BuildRequires:  perl(Math::Round)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Mozilla::CA)
BuildRequires:  perl(parent)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Unidecode)
BuildRequires:  perl(Type::Library)
BuildRequires:  perl(Type::Params)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(Type::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(utf8)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A secure memorable password generator inspired by the wonderful XKCD
webcomic at http://www.xkcd.com/ and Steve Gibson's Password Haystacks page
at https://www.grc.com/haystack.htm. This is the Perl module that powers
https://www.xkpasswd.net.


%prep
%autosetup -n Crypt-HSXKPasswd-v%{version}


%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/auto

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%license LICENSE
%doc META.json README share/sample_config.json share/sample_hsxkpasswdrc
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jul 31 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.6-1
- Specfile autogenerated by cpanspec 1.78.
